[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetcwd

Retrieve the current working directory.

## Declaration

Source position: line 0

`function FpGetcwd(`
`path: PChar;`
`siz: TSize`
`):PChar; function FpGetcwd: AnsiString;`

## Description

fpgetCWD returns the current working directory of the running process. It is returned in Path, which points to a memory location of at least siz bytes.

If the function is succesful, a pointer to Path is returned, or a string with the result. On error Nil or an empty string are returned.

## Errors

On error Nil or an empty string are returned.

## See also

FpGetPID |  | Return current process ID
FpGetUID |  | Return current user ID

Documentation generated on: Feb 26 2014